__gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc > Struct Template Referenceabstract

## Protected Types

typedef rebind_v::const_pointer | const_pointer
typedef rebind_v::const_reference | const_reference
typedef Node_CItr::value_type | it_type
typedef rebind_v::const_reference | key_const_reference
typedef value_type | key_type
typedef remove_const < value_type >::type | rcvalue_type
typedef _Alloc::template rebind< rcvalue_type >::other | rebind_v
typedef rebind_v::reference | reference
typedef std::iterator_traits < it_type >::value_type | value_type

## Protected Member Functions

virtual it_type | end () const =0
it_type | end_iterator () const

## Static Protected Member Functions

static key_const_reference | extract_key (const_reference r_val)

## Detailed Description

### template<typename Node_CItr, typename _Alloc>
struct __gnu_pbds::detail::branch_policy< Node_CItr, Node_CItr, _Alloc >

Specialization for const iterators.

Definition at line 88 of file branch_policy.hpp.

The documentation for this struct was generated from the following file:

- branch_policy.hpp